QGIS Application - Bug report #6190
Displaying multipoint objects from MSSQL in QGIS
2012-08-13 05:53 AM - James Perrins

Status: Closed

Priority: Normal

Assignee: Tamas Szekeres
Category: Data Provider/MSSQL

Affected QGIS version:master

Operating System: Windows
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 15504

Description

I'm not sure if this is a configuration issue - but when | have a multipoint object in the SQL database (displays as such in SQL and

mapserver etc) - | only see one point in QGIS.

| can edit the record in QGIS adding additional parts to the object (more points) and these seem to be saved correctly in the SQL

database - but whatever | do | am only seeing a single point on the map in QGIS.

Multipart lines seem to work as expected (i.e. all line segments are displayed)

Thanks

Associated revisions

Revision 500c64a0 - 2012-08-18 11:50 AM - Tamas Szekeres

MSSQL: Fix for the parser when reading multipoint geometries (fixes #6190)

Revision 8042532 - 2012-08-18 12:19 PM - Nathan Woodrow

Merge pull request #206 from szekerest/master

MSSQL: Fix for the parser when reading multipoint geometries (fixes #6190)

History

#1 - 2012-08-18 03:19 AM - Nathan Woodrow
- Status changed from Open to Closed

Fixed in changeset commit:"804{2532a49e709585e7cd81d880909dd05b65de".
